%define prefix /usr
%define name kbear
%define version 1.1
%define release 4mdk

Name: 		%name
Summary: 	Pretty cool FTP client for KDE 2.0.
Version: 	%version
Release: 	%release
Source: 	%name-%version.tar.bz2
Group: 		Networking/File transfer
BuildRoot: 	%_tmppath/%name-buildroot
License: 	GPL
URL: 		http://kbear.sourceforge.net
BuildRequires: gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires: XFree86-static-libs automake autoconf diffutils file libtool m4 texinfo gettext kdelibs-devel
BuildRequires: gcc-c++ kdelibs libbinutils2 libbzip2_1 db1 freetype2 libjpeg62 libmng1 libpng2
BuildRequires: libqt2 libqt2-devel rpm-build


%description
When I started to work under Linux, I couldn't find any good graphical FTP
clients. I found gftp, but it could only work against one host at a time. So I
decided to do my own and named it KBear. First I did a pure Qt client, but soon
I decided to rewrite it for KDE 2 and this is the result.

Many people used to FTP programs may dislike this one because it doesn't follow
the "standard" look of such a program. Instead I've tried to make it "easy to
use" and as logical as possible. At least I hope I succeeded, your decision.

%prep

%setup -q

%build

%configure --with-qt-dir=/usr/lib/qt2/ \
           --disable-rpath \
	   --disable-debug 

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/kbear" \
title="Kbear" \
longtitle="KDE ftp client" \
needs="x11" \
icon="%{name}.png" \
section="Networking/File transfer"
EOF
)   


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%_bindir/*

%_datadir/applnk/Internet/*.desktop

%dir %_datadir/apps/kbear/
%dir %_datadir/apps/kbear/pics/
%_datadir/apps/kbear/sitemanager
%_datadir/apps/kbear/pics/*.png


%dir %_docdir/HTML/en/kbear/
%_docdir/HTML/en/kbear/*.html
%_docdir/HTML/en/kbear/.anchors
%_docdir/HTML/en/kbear/*.png
%_docdir/HTML/en/kbear/*.docbook


%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png

%lang(de) %_datadir/locale/de/LC_MESSAGES/*
%lang(nl) %_datadir/locale/nl/LC_MESSAGES/*
%lang(sv) %_datadir/locale/sv/LC_MESSAGES/*

%_menudir/*


%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Clean spec and add build requires

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-2mdk
- Rebuild against Qt 2.3.0

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- new in contribs
- used srpm from Juan Luis Baptiste <jbaptist@merlinux.org>
